%define languageenglazy French
%define languagecode    fr
%define lc_ctype        fr_FR

Name:           hunspell-fr
Version:        6.3
Release:        %mkrel 4
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv2 or LGPLv2 or MPLv1.1
Group:          System/Internationalization
URL:            http://www.dicollecte.org/home.php?prj=fr
Source0:        http://www.dicollecte.org/download/fr/hunspell-french-dictionaries-v%version.zip

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-fr
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-fr_BE = %{version}-%{release}
Provides:       hunspell-fr_CA = %{version}-%{release}
Provides:       hunspell-fr_CH = %{version}-%{release}
Provides:       hunspell-fr_LU = %{version}-%{release}
Provides:       hunspell-fr_MC = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-fr_BE = 2
Provides:       dictionary-fr_CA = 2
Provides:       dictionary-fr_CH = 2
Provides:       dictionary-fr_LU = 2
Provides:       dictionary-fr_MC = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}
Obsoletes:      myspell-fr_BE < 1.0.3
Provides:       myspell-fr_BE

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c %{name}-%{version}

%build
chmod 0644 README_*.txt

%install
install -D -m 0644 -p %{languagecode}-toutesvariantes.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{languagecode}-toutesvariantes.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    for lang in ../hunspell/*.dic
    do
        lang=`echo $lang|sed -r 's@.*/@@g'|sed -r 's@\..*@@g'`
        ln -s ../hunspell/$lang.dic $lang.dic
        ln -s ../hunspell/$lang.aff $lang.aff
    done
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc README_*.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 6.3-4.mga9
+ Revision: 1807898
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 6.3-3.mga8
+ Revision: 1501595
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 6.3-2.mga7
+ Revision: 1278823
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 zezinho <zezinho> 6.3-1.mga7
+ Revision: 1254399
- new version 6.3

* Fri Dec 15 2017 zezinho <zezinho> 6.2-1.mga7
+ Revision: 1182679
- new version

* Thu Sep 28 2017 tv <tv> 6.1-1.mga7
+ Revision: 1160993
- new release

* Sun Nov 13 2016 zezinho <zezinho> 5.7-1.mga6
+ Revision: 1066921
- new version 5.7

* Fri Apr 01 2016 zezinho <zezinho> 5.6-1.mga6
+ Revision: 997497
- new version 5.6

* Wed Dec 23 2015 zezinho <zezinho> 5.5-1.mga6
+ Revision: 913850
- new version 5.5

* Wed Sep 09 2015 zezinho <zezinho> 5.4.1-1.mga6
+ Revision: 874694
- new version 5.4.1

* Wed Oct 15 2014 umeabot <umeabot> 5.1-3.mga5
+ Revision: 748732
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1-2.mga5
+ Revision: 680237
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Sep 04 2014 tv <tv> 5.1-1.mga5
+ Revision: 671785
- new release

* Sat Oct 19 2013 umeabot <umeabot> 4.10-8.mga4
+ Revision: 525249
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 4.10-7.mga4
+ Revision: 432667
- new release

* Sat Jan 12 2013 umeabot <umeabot> 4.2-7.mga3
+ Revision: 353465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 4.2-6.mga3
+ Revision: 325259
- stop producing language aliases

* Tue Mar 20 2012 kamil <kamil> 4.2-5.mga2
+ Revision: 224625
- add requirement on locales (mga#4632)

* Sun Feb 12 2012 kamil <kamil> 4.2-4.mga2
+ Revision: 207749
- use better obsoleting of myspell

* Wed Jan 18 2012 kamil <kamil> 4.2-3.mga2
+ Revision: 197703
- hunspell is now suggested
- drop requirement on locales

* Tue Dec 27 2011 kamil <kamil> 4.2-2.mga2
+ Revision: 188244
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype} and fr_ variants
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype} and fr_ variants
  o obsolete myspell- fr dictionaries
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec
- fix file permissions of .spec and the sources
+ tv <tv>
- new release
+ lmenut <lmenut>
- fix permissions of world-writable files

* Thu Jul 07 2011 ahmad <ahmad> 4.1-1.mga2
+ Revision: 119778
- Update to 4.1

* Sat Mar 12 2011 dmorgan <dmorgan> 4.0.1-2.mga1
+ Revision: 68774
- imported package hunspell-fr


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jan 20 2011 Caolán McNamara <caolanm@redhat.com> - 4.0.1-1
- latest version

* Sun Jan 09 2011 Caolán McNamara <caolanm@redhat.com> - 4.0-1
- latest version

* Mon Aug 09 2010 Caolán McNamara <caolanm@redhat.com> - 3.8-1
- latest version

* Wed May 05 2010 Caolán McNamara <caolanm@redhat.com> - 3.7-1
- latest version

* Tue Jan 26 2010 Caolán McNamara <caolanm@redhat.com> - 3.5-1
- latest version

* Thu Oct 01 2009 Caolán McNamara <caolanm@redhat.com> - 3.4.1-1
- latest version

* Fri Sep 11 2009 Caolán McNamara <caolanm@redhat.com> - 3.4-1
- latest version

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 23 2009 Caolán McNamara <caolanm@redhat.com> - 3.2-1
- latest version

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul 02 2008 Caolán McNamara <caolanm@redhat.com> - 2.3.2-1
- latest version

* Tue Apr 22 2008 Caolán McNamara <caolanm@redhat.com> - 2.3.1-1
- latest version

* Mon Mar 10 2008 Caolán McNamara <caolanm@redhat.com> - 2.2.0-1
- latest version

* Thu Feb 07 2008 Caolán McNamara <caolanm@redhat.com> - 2.1.0-1
- latest version

* Fri Dec 21 2007 Caolán McNamara <caolanm@redhat.com> - 2.0.5-1
- project moved to http://dico.savant.free.fr and a new release

* Fri Aug 03 2007 Caolán McNamara <caolanm@redhat.com> - 0.20060915-2
- clarify license version

* Thu Dec 07 2006 Caolán McNamara <caolanm@redhat.com> - 0.20060915-1
- initial version
